Browse Source

strace.spec.in: add support for old distros that cannot handle .tar.xz

Eugene Syromyatnikov 3 years ago
parent
commit
bb9ad19b0a
1 changed files with 5 additions and 0 deletions
  1. 5
    0
      strace.spec.in

+ 5
- 0
strace.spec.in View File

@@ -12,7 +12,12 @@ License: LGPL-2.1+ and GPL-2.0+
12 12
 Group: Development%{?suse_version:/Tools}/Debuggers
13 13
 %endif
14 14
 URL: https://strace.io
15
+%if 0%{?fedora} >= 12 || 0%{?centos} >= 6 || 0%{?rhel} >= 6 || 0%{?suse_version} >= 1200
15 16
 Source: https://strace.io/files/%{version}/strace-%{version}.tar.xz
17
+BuildRequires: xz
18
+%else
19
+Source: strace-%{version}.tar.gz
20
+%endif
16 21
 BuildRequires: gcc gzip
17 22
 
18 23
 # Install Bluetooth headers for AF_BLUETOOTH sockets decoding.

Loading…
Cancel
Save